Skip to content
Assets Overview

Query Account Cash Balance

This interface is used to query the cash balance information of a specified securities account. By providing the account number account_no and an optional currency filter currency, it returns the total cash total_cash, total available cash total_available_cash, total withdrawable cash total_withdraw_cash, and a detailed cash list cash_list broken down by currency. Unlike the full cash query interface, this interface supports currency-based filtering.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/cash_info

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

account_nostringRequired

Account Number

currencystringOptional

currency

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
total_cashstringrequired

total cash amount. total cash amount

total_available_cashstringrequired

total available amount. total available amount

total_withdraw_cashstringrequired

total withdraw cash amount. total withdraw cash amount

cash_listarray<object>required

cash lish. cash lish

Child attributes
currencystringrequired

currency type. currency type

cash_amountstringrequired

cash amount. cash amount

available_amountstringrequired

aviable amount. aviable amount

withdraw_amountstringrequired

withdrawable amount. withdrawable amount

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs